> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Bank Statement Line

> Append a transaction line to a statement.



## OpenAPI

````yaml /api/openapi-cutmake.json post /bank-statements/{statement_id}/lines
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /bank-statements/{statement_id}/lines:
    post:
      tags:
        - Bank Statements
      summary: Add Bank Statement Line
      description: Append a transaction line to a statement.
      operationId: add_bank_statement_line_bank_statements__statement_id__lines_post
      parameters:
        - name: statement_id
          in: path
          required: true
          schema:
            type: string
            title: Statement Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankStatementLineCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankStatementLine'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BankStatementLineCreate:
      properties:
        transactionDate:
          type: string
          title: Transactiondate
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        counterparty:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterparty
        debit:
          anyOf:
            - type: number
            - type: 'null'
          title: Debit
        credit:
          anyOf:
            - type: number
            - type: 'null'
          title: Credit
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        referenceNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Referenceno
      type: object
      required:
        - transactionDate
      title: BankStatementLineCreate
    BankStatementLine:
      properties:
        id:
          type: string
          title: Id
        bankStatementId:
          type: string
          title: Bankstatementid
        transactionDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Transactiondate
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        counterparty:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterparty
        debit:
          anyOf:
            - type: number
            - type: 'null'
          title: Debit
        credit:
          anyOf:
            - type: number
            - type: 'null'
          title: Credit
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        direction:
          anyOf:
            - type: string
            - type: 'null'
          title: Direction
        referenceNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Referenceno
        matchedTransferId:
          anyOf:
            - type: string
            - type: 'null'
          title: Matchedtransferid
        matchStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Matchstatus
      type: object
      required:
        - id
        - bankStatementId
      title: BankStatementLine
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````